Subject: Re: bug#9402: list-colors-display

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Aug 2011 23:10:01 +0300

> From: Juri Linkov <[email-masked]>
> Date: Mon, 29 Aug 2011 22:27:50 +0300
> 
> 1. On a tty, running `M-x list-colors-display RET' displays
> truncated hex color values like:              red    #cd000$
> where $ is displayed at the end of the partial line.
> 
> To display the complete line this could be fixed by incrementing
> `align-to' from 9 to 10 in `list-colors-print'.  But after that
> when running it on X two extra spaces are displayed at the end
> of these lines.
> 
> Maybe the bug is somewhere deeper in the display engine
> that aligns differently on a tty and X?

It aligns differently, but the result should be identical.  I will
take a look.

> 2. New faces `gtk_selection_fg_color' and `gtk_selection_bg_color'
> now are available for using on GTK but they are not listed in
> `list-colors-display', and they can't be selected and completed in
> `customize-face'.

Did this ever work?  Emacs always had platform-specific colors besides
those in rgb.txt, I don't think this is something new.

> There are more colors that are valid for using but hidden from users
> such as e.g. on a tty: `unspecified-fg', `unspecified-bg'.

They are meaningless and cannot be set by Emacs.  IOW, they are
"read-only", as far as Emacs is concerned.  Exposing them to users
would be confusing.